TESTSETDIR_FOR = $(TESTSETDIR)/for

CSRC_FOR += \
	$(TESTSETDIR_FOR)/test_basic.hob \
	$(TESTSETDIR_FOR)/test_count.hob \
	$(TESTSETDIR_FOR)/test_nest.hob \
	$(TESTSETDIR_FOR)/test_nest3.hob \
	$(TESTSETDIR_FOR)/test_while.hob \
	$(TESTSETDIR_FOR)/test_postcalc.hob \
	$(TESTSETDIR_FOR)/test_discard.hob

CSRC += $(CSRC_FOR)

NSRC_FOR = $(CSRC_FOR:$(TESTSETDIR)/%=$(TESTOBJDIR)/%)

HOUT_FOR = $(CSRC_FOR:.hob=.hout)
NOUT_FOR = $(NSRC_FOR:.hob=.nout)

test.for :	nout.for

testset.for :
		$(MAKE) allclean.for
		$(MAKE) hout.for
		$(MAKE) clean.for

hout.for :	$(HOUT_FOR)

nsrc.for :	$(NSRC_FOR)

nout.for :	$(NOUT_FOR)

hout.clean.for :
		rm -f $(HOUT_FOR)

nsrc.clean.for :
		rm -f $(NSRC_FOR)

nout.clean.for :
		rm -f $(NOUT_FOR)

clean.for :	nsrc.clean nout.clean.for

allclean.for :	clean.for hout.clean.for
